﻿using Connected.Data.Schema;
using Connected.ServiceModel.Client.Data.Remote;

namespace Connected.ServiceModel.Client.Data.Schema;
internal sealed class SchemaExecutionContext
{
	public SchemaExecutionContext(ISchema schema, RemoteTableService remote)
	{
		Schema = schema;
		Remote = remote;
	}

	public ExistingSchema ExistingSchema { get; set; }
	public ISchema Schema { get; }
	public RemoteTableService Remote { get; }
}