﻿using Connected.Expressions.Languages;
using System.Data;

namespace Connected.ServiceModel.Client.Data;
internal sealed class CqlDataType : DataType
{
	public CqlDataType(SqlDbType dbType, bool notNull, int length, short precision, short scale)
	{
		DbType = dbType;
		NotNull = notNull;
		Length = length;
		Precision = precision;
		Scale = scale;
	}

	public SqlDbType DbType { get; }
}
