﻿using System.ComponentModel.DataAnnotations;

namespace Connected.ServiceModel.Client.Data.Remote;
internal sealed class RemoteTableColumn
{
	[Required, MaxLength(128)]
	public string Name { get; set; } = default!;
	[Required, MaxLength(128)]
	public string DataType { get; set; } = default!;
	public bool IsPartitionKey { get; set; }
	public bool IsPrimaryKey { get; set; }
}
