﻿using Connected.Annotations;
using Connected.ServiceModel.Client.Subscription;
using Microsoft.Extensions.DependencyInjection;

[assembly: MicroService(MicroServiceType.Provider)]

namespace Connected.ServiceModel.Client.Net;

internal class Bootstrapper : Startup
{
	protected override void OnConfigureServices(IServiceCollection services)
	{
		services.AddScoped(typeof(IConnectedServer), typeof(ConnectedServer));
		services.AddScoped(typeof(ISubscriptionService), typeof(SubscriptionService));
	}
}
