﻿using Connected.Services;

namespace Connected.ServiceModel.Client.Net;

internal class ConnectedServer : Service, IConnectedServer
{
	public ConnectedServer(IContext context) : base(context)
	{
	}

	public async Task<string?> SelectUrl(ConnectedServerUrlArgs args)
	{
		return await Invoke(GetOperation<SelectUrl>(), args);
	}
}
